### Hierarchy

- CopyleaksExportModel

## Index

### Constructors

- constructor

### Properties

- completionWebhook
- crawledVersion
- developerPayload
- maxRetries
- pdfReport
- results

## Constructors

### constructor

- new CopyleaksExportModel(completionWebhook: string, results: ExportResults[], crawledVersion: ExportCrawledVersion, maxRetries?: number, developerPayload?: string, pdfReport?: ExportPdfReport): CopyleaksExportModel

- - Defined in src/models/exports/CopyleaksExportModel.ts:29

  #### Parameters

  - ##### completionWebhook: string

    This webhook event is triggered once the export is completed.

  - ##### results: ExportResults[]

    An array of results to be exported. The equivalent of downloading results manually.

  - ##### crawledVersion: ExportCrawledVersion

    Download the crawled version of the submitted text. The equivalent of downloading crawled version manually.

  - ##### Optional maxRetries: number

    How many retries to send before giving up. Using high value (12) may lead to a longer time until the completionWebhook being executed. A low value (1) may lead to errors while your service is temporary having problems.

  - ##### Optional developerPayload: string

    Add a custom developer payload that will then be provided on the Export-Completed webhook. https://api.copyleaks.com/documentation/v3/webhooks/export-completed

  - ##### Optional pdfReport: ExportPdfReport

    Download the PDF report. Allowed only when `properties.pdf.create` was set to true on the scan submittion.

  #### Returns CopyleaksExportModel

## Properties

### completionWebhook

completionWebhook: string

### crawledVersion

crawledVersion: ExportCrawledVersion

### Optional developerPayload

developerPayload: string

### Optional maxRetries

maxRetries: number

### Optional pdfReport

pdfReport: ExportPdfReport

### results

results: ExportResults[]

Generated using TypeDoc